Webkit version and backdrop-filters

Asked by Yann on 2016-08-11

I'm building a theme which requires a css property : -webkit-backdrop-filter: blur(10px);
https://webkit.org/demos/backdrop-filter/
Unfortunately the blur effect does not seem to work and I don't know why.

Since on an other system I can have this effect to work on safari, I guess the webkit-gtk version in use needs to be upgraded.
On my system LightDM Webkit Greeter uses Webkit 2.4.11(3/25) and I also have Webkit 2.10.9 (4/37) installed.
So is there a simple way for LightDM Webkit Greeter to use the new Webkit version ? Is there just an ebuild configuration to change ?

Best regards

Question information

Language:
English Edit question
Status:
Answered
For:
LightDM Webkit Greeter Edit question
Assignee:
No assignee Edit question
Last query:
2016-08-11
Last reply:
2019-01-22
Dustin Falgout (lots0logs) said : #1

Hi,

The webkit1 version of the greeter is deprecated. Thus it is not recommended to develop themes based on it. Instead you should use the Webkit2 greeter. Its not yet available in the official package repos but there is a PPA. You can find out more details here:

https://github.com/antergos/lightdm-webkit2-greeter

Cheers!

test api (test-api) said : #2

Just reboot the system. the problem will be gone

Can you help with this problem?

Provide an answer of your own, or ask Yann for more information if necessary.

To post a message you must log in.